      subroutine lirorb(fich,norb,nsym,isym,ifil)
c
c---------------------------------------------------
c     lecture des fichiers ORB en clair de molcas
c     fich : nom du fichier a lire
c     norb,nsym,isym = valeurs en sortie (pas a fournir !)
c     ifil : numero de file ou on ecrit les orbitales
c---------------------------------------------------
c
      implicit real*8 (a-h,o-x,z),logical*1(y)
      character*(*) fich
      double precision,allocatable,dimension(:,:) :: u,occup
      dimension isym(8)
      character*80 aa
c
      open(1,file=fich,status='old')
      open(ifil,form='unformatted')
      isym=0
      nsym=0
c
      do
         read(1,'(a)',end=1) aa
         ii=index(aa,'* ORBITAL ')
         if(ii.eq.0) cycle
         read(aa,'(9x,2i5)') nsym,j
         isym(nsym)=isym(nsym)+1
      enddo
 1    continue
      norb=sum(isym(1:nsym))
c      print*,'nsym',nsym
c      print*,'norb',norb
c      print'('' isym'',8i4)',isym(1:nsym)
c
      rewind 1
      read(1,*)
      do is=1,nsym
         ndims=isym(is)
         allocate (u(ndims,ndims))
         do k=1,ndims
            read(1,*)
            read(1,1000) u(:,k)
         enddo
         write(ifil) u
         deallocate (u)
      enddo
 1000 format(4d18.12)
      rewind ifil
      return
      end


      

